declare const _default: import('vue').DefineComponent<{}, {
    visible: import("vue").Ref<boolean>;
    modalData: import("vue").Ref<{}>;
    timeLine: import("vue").Ref<never[]>;
}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "register"[], "register", import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{}>> & {
    onRegister?: ((...args: any[]) => any) | undefined;
}, {}, {}>;
export default _default;
